# Uses of Interface
org.codehaus.janino.Visitor.TypeArgumentVisitor

Packages that use Visitor.TypeArgumentVisitor
Package
Description
org.codehaus.janino
The core of the Janino Java compiler.

## Uses of Visitor.TypeArgumentVisitor in org.codehaus.janino

Methods in org.codehaus.janino with parameters of type Visitor.TypeArgumentVisitor
Modifier and Type
Method
Description
`<R, EX extends Throwable>
R`
Java.ArrayType.`accept(Visitor.TypeArgumentVisitor<R,EX> visitor)`
`<R, EX extends Throwable>
R`
Java.ReferenceType.`accept(Visitor.TypeArgumentVisitor<R,EX> visitor)`
`<R, EX extends Throwable>
R`
Java.TypeArgument.`accept(Visitor.TypeArgumentVisitor<R,EX> visitor)`
Invokes the "`visit...()`" method of `Visitor.TypeArgumentVisitor` for the concrete `Java.TypeArgument` type.
`final <R, EX extends Throwable>
R`
Java.Wildcard.`accept(Visitor.TypeArgumentVisitor<R,EX> visitor)`